#' Read all text lines from an url
#'
#' Read all text lines from an url.
#'
#' @param x character string. It should be a complete URL including scheme, as expected in \code{\link{url}}.
#'
#' @return A character vector of length the number of lines read. 
#'
#' @export
#'
#' @examples
#' origin = "https://data.cquest.org/registre_parcellaire_graphique/"
#' year = "2010"
#' index = read_url(sprintf("%s/%s", origin, year))
#' \dontrun{
#' origin = "ftp://Admin_Express_ext:Dahnoh0eigheeFok@ftp3.ign.fr/"
#' index = read_url(origin)
#' }

read_url = function(x) {
    con = url(sprintf("%s/", x))
    on.exit(close(con))
    result = try(suppressWarnings(readLines(con)), silent = TRUE)
    return(result)
}
