% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/adapt_ban.R
\encoding{UTF-8}
\name{adapt_ban}
\alias{adapt_ban}
\title{Adapt BAN database}
\usage{
adapt_ban(
  origin,
  destination,
  archive,
  scheme = floodam.data::scheme_ban,
  projection = 4326,
  path_eaip = NULL,
  path_admin = NULL,
  map = FALSE,
  journal = TRUE,
  retrieve = FALSE,
  verbose = TRUE
)
}
\arguments{
\item{origin}{character, path to the directory where archive are stored.}

\item{destination}{character, path to the directory where results should be saved.}

\item{archive}{character, vector of archive to be adapted.}

\item{scheme}{data.frame, how archive variables should be treated.}

\item{projection}{numeric, 4 digits projection to use.}

\item{path_eaip}{character, path where eaip archives should be found.}

\item{path_admin}{character, path where admin archives should be found.}

\item{map}{logical, should a map be plotted (for checking purposes).}

\item{journal}{logical, should a journal file be saved.}

\item{retrieve}{logical, should the result be returned.}

\item{verbose}{logical, should the function give some sumup informations.}
}
\value{
if retrieve = TRUE, data.frame of adapted data stored in archive.
}
\description{
The following treatments are performed:
\itemize{
\item data is adapted consistently with scheme (default is \verb{floodam.data::scheme_ban)}
\item eaip information is added.
}
}
\author{
Frédéric Grelot
}
