% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/adapt_rpg.R
\encoding{UTF-8}
\name{adapt_rpg}
\alias{adapt_rpg}
\title{Adapt rpg data}
\usage{
adapt_rpg(
  origin,
  destination,
  archive,
  export = "rds",
  scheme = NULL,
  department = NULL,
  dep_path = NULL,
  eaip_path = NULL,
  projection = 4326,
  retrieve = FALSE,
  verbose = FALSE
)
}
\arguments{
\item{origin}{character, path to the directory where archive are stored}

\item{destination}{character, path to the directory where results should be saved}

\item{archive}{character, vector of archive to be adpated}

\item{export}{character, option for export format of the results}

\item{scheme}{data.frame, how archive variables should be treated}

\item{department}{character, vector of department that should be treated}

\item{dep_path}{character, path to the directory where departments data are stored}

\item{eaip_path}{character, path where eaip archives should be find}

\item{projection}{integer or object of type CRS giving projection}

\item{retrieve}{logical, should the result be returned}

\item{verbose}{logical, should the function give some sumup informations.}
}
\value{
if retrieve = TRUE, sf object of adapated data stored in archive.
}
\description{
The following treatment are performed:
\itemize{
\item the projection is set to projection
\item the geometry is made valid
\item flood exposition is set through intersection with eaip
\item the output is saved at department level as rds in given destination
}
}
\examples{

\dontrun{
origin = ""
destination = tempdir()
archive = "RPG_2-0__SHP_LAMB93_FR-2018_2018-01-15.7z"
result = adapt_rpg(archive, origin, destination, verbose = TRUE, retrieve = TRUE)
}
}
\author{
Victor Champonnois et Frédéric Grelot
}
