% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/analyse_intersection.R
\encoding{UTF-8}
\name{analyse_intersection}
\alias{analyse_intersection}
\alias{analyse_eaip}
\title{Analyse intersections between spatial DBs}
\usage{
analyse_intersection(
  x,
  y,
  analysis = c("intersect", "proportion"),
  verbose = TRUE
)

analyse_eaip(x, eaip, analysis = "intersect", verbose = TRUE)
}
\arguments{
\item{x}{sf object, spatial DB that is analysed.}

\item{y}{sf object, spatial DB that is used for the analysis.}

\item{analysis}{character, analyses that is performed. Default to
\code{c("intersect", "proportion")}. See details.}

\item{verbose}{logical, should the function gives some messages. Default to*
TRUE.}

\item{eaip}{sf objectf, eaip DB that is used for the analysis.}
}
\value{
analyse_intersection returns a data.frame, whose columns contain analyses
performed.

analyse_eaip returns a sf object, basically x with added columns for each
analysis performed.
}
\description{
The following treatments are performed:
\itemize{
\item data is adapated consistently with theme
\item only data corresponding to flood hazards are kept
\item if scope is given, a subpart of data is also saved
}
}
\section{Functions}{
\itemize{
\item \code{analyse_eaip()}: Analyse intersections between spatial DB
and eaip DB

}}
\examples{

\dontrun{
origin = "data-local/georisques/gaspar"
adapt_gaspar(file.path(origin))
adapt_gaspar(file.path(origin, "2022-02-28"), scope = list("so_ii" = so.ii::so_ii_scope))
}
}
\author{
Frédéric Grelot
}
