% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/apply_scheme.R
\encoding{UTF-8}
\name{apply_scheme}
\alias{apply_scheme}
\title{Apply a scheme to data}
\usage{
apply_scheme(x, scheme, selection = NULL, name_origin = NULL)
}
\arguments{
\item{x}{data.frame or sf, data to be adapted.}

\item{scheme}{data.frame, scheme to be applied.}

\item{selection}{list, for big scheme a way to select entries. See details}

\item{name_origin}{character, when different 'name_origin' are provided, a
way to select the good one.}
}
\value{
data adapted, keeping geometry for 'sf' objects.
}
\description{
The function applies a scheme to a data.frame or a sf object, which consists
in keeping only variable that should be kept, renaming variables, and setting
the type of variable.
}
\details{
'selection' should be a named list of vector, the name giving the column
where to perform the selection.

'name_origin' should be a character pattern that will help to select between
different possibilities in column names starting with "name_origin" in
scheme. The simplest, the best.
}
\author{
Frédéric Grelot
}
