% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/create_date.R
\name{create_date}
\alias{create_date}
\title{Create an interval of date}
\usage{
create_date(...)
}
\arguments{
\item{...}{Anything that will be coerced to a character. See details for
format.}
}
\value{
A vector of two dates of format "\\%Y-\\%m-\\%d"
}
\description{
Create an interval of date from a vector
}
\details{
Inputs are transformed in character vector, that we call x. When cretaed, x
shall be vector of characters with date in format "\\%Y", "\\%Y-\\%m", or
"\\%Y-\\%m-\%\d". It takes the minimum and maximum. min(x) is
completed, if necessary, as to be the beginning of period "\\%Y" becomes
"\\%Y-01-01", "\\%Y-\\%m" becomes "\\%Y-\\%m-01", while max(x) is completed, if
necessary, as to be the maximum of period "\\%Y" becomes "\\%Y-12-31",
"\\%Y-\\%m" becomes "\\%Y-\\%m-31" (or "..-28", "..-29", "..-30" depending on the
month).
}
\examples{
create_date(2020)
create_date(1995:2000)
create_date(1995, 2000)
create_date("1995", "2000-02")
create_date("2000-02")
create_date("2000-02", "2000-02-15")
create_date("2000-02-15")
\dontrun{create_date("toto")}
}
