% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/download_archive.R
\name{download_archive}
\alias{download_archive}
\title{Download distant archives}
\usage{
download_archive(
  to_do,
  extension = c("gz", "zip", "7z"),
  name = NULL,
  date = NULL,
  version = NULL,
  html = "simple",
  verbose = FALSE
)
}
\arguments{
\item{to_do}{data.frame. Two columns of character are expected.}

\item{extension}{character, vector of acceptable types of archive to be
downloaded.}

\item{name}{character, vector of acceptable names fo archive to be
downloaded}

\item{date}{character, something like a date that should be used as a
filter.}

\item{version}{character, something like a version that should be used as a
filter.}

\item{html}{character, indicates if the page is "simple" or is coming from
"data.gouv". This has implications on how to look for links.}

\item{verbose}{logical, should the function send somme messages while
running.}
}
\value{
nothing
}
\description{
Core function used to downlaod archives
}
\details{
This function is used by other more specific functions. It takes as input a
to_do data.frame giving correspondance between origin urls to local
destinations. It also to select some types of archives to be downloaded. On
the good construction of the to_do data.frame depends the success of the
downloads!
}
\examples{
\dontrun{
destination = tempdir()
to_do_cquest = data.frame(
 origin = "https://data.cquest.org/registre_parcellaire_graphique/2018",
 destination = destination,
 short = "rpg_cquest",
 stringsAsFactors = FALSE
)
download_archive(to_do_cquest, version = "D976", verbose = TRUE)

to_do_ign = data.frame(
 origin = "https://geoservices.ign.fr/rpg",
 destination = destination,
 short = "rpg_ign",
 stringsAsFactors = FALSE
)
download_archive(to_do_ign, version = "D976", date = "2020", verbose = TRUE)
download_archive(to_do_ign, version = "D976", verbose = TRUE)

to_do = rbind(to_do_cquest, to_do_ign)
download_archive(to_do, version = "D976", verbose = TRUE)
}
}
