% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/format_scope.r
\encoding{UTF-8}
\name{format_scope}
\alias{format_scope}
\title{Format scope}
\usage{
format_scope(
  x,
  type = c("file", "insee"),
  scope = c("department", "region"),
  origin = c("department", "commune"),
  check = TRUE
)
}
\arguments{
\item{x}{vector of scopes.}

\item{type}{character, either file or something else.}

\item{scope}{character, either department or region.}

\item{origin}{character, either department or commune.}

\item{check}{logical, should check occurs.}
}
\value{
character of formatted scopes
}
\description{
Format scope
}
\examples{
format_scope(1:10)
format_scope(1:10, "insee")
format_scope(1:10, scope = "region")
format_scope(1:10, scope = "region", check = FALSE)
format_scope(1:10, "insee", scope = "region")
format_scope(c("FR", 1:10), "insee", scope = "region")
format_scope(c(1:10, "2A", "002B"))
format_scope(c(1:10, "2A", "002B"), "insee")
format_scope("R94", "insee", "region")
commune = c("01125", "2A123", "97223", "97723")
format_scope(commune, "insee", "department", "commune")
}
\author{
Frédéric Grelot
}
