% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/select_scope.R
\encoding{UTF-8}
\name{select_scope}
\alias{select_scope}
\title{Subset dataset with scope}
\usage{
select_scope(dataset, scope)
}
\arguments{
\item{dataset}{dataframe or sf object, the dataset to scope}

\item{scope}{character vector. Municipality french INSEE code called "Code Officiel Géographique" (COG).}
}
\value{
either a data.frame or a 'sf' objects depending on dataset type
}
\description{
Subset dataset with scope
}
\details{
The scope is done at the scale of the municipalities
}
\examples{
dataset = data.frame(
   id = (1:5),
   adresse = letters[1:5], 
   commune = c("32456", "36980", "37865", "76543", "34172")
)
dataset

select_scope(dataset, scope = "34172")

select_scope(dataset, scope = c("36980","34172") )

# scope's value is out of the dataset
select_scope(dataset, scope = "39876")  

# Two values are in the scope and one is out
select_scope(dataset, scope = c("36980", "34179", "32456")) 
}
