test_that("Test analyse_archive",
    {
        # origin = "ign" (default)
        archive_rpg = "RPG_2-0__SHP_LAMB93_R76_2020-01-01.7z"
        analyse = expect_warning(
            analyse_archive(archive_rpg),
            "analyse_archive WARNING: R76 is not an official IGN scope."
        )

        expect_identical(
            names(analyse),
            c(
                "data", "version", "precision", "type", "projection",
                "scope", "vintage", "year", "extension", "name"
            )
        )

        expect_identical(analyse[["data"]], "RPG")
        expect_identical(analyse[["version"]], "2-0")
        expect_identical(analyse[["precision"]], NA_character_)
        expect_identical(analyse[["type"]], "SHP")
        expect_identical(analyse[["projection"]], "LAMB93")
        expect_identical(analyse[["scope"]], "R76")
        expect_identical(analyse[["vintage"]], "2020-01-01")
        expect_identical(analyse[["year"]], "2020")
        expect_identical(analyse[["extension"]], "7z")
        expect_identical(analyse[["name"]], "RPG_2-0__SHP_LAMB93_R76_2020-01-01")

        archive_floodam = "rpg_parcelle_D001_2020-01-01.rds"
        analyse = expect_warning(
            analyse_archive(archive_floodam),
            "analyse_archive WARNING: 4 slots found in rpg_parcelle_D001_2020-01-01. This is not compatible with IGN's scheme. NAs returned."
        )
        expect_identical(
            names(analyse),
            c(
                "data", "version", "precision", "type", "projection",
                "scope", "vintage", "year", "extension", "name"
            )
        )

        # origin = "floodam.data"
        analyse = expect_silent(analyse_archive(archive_floodam, origin = "floodam.data"))

        expect_identical(
            names(analyse),
            c("data", "precision", "scope", "vintage", "extension", "name")
        )

        expect_identical(analyse[["data"]], "rpg")
        expect_identical(analyse[["precision"]], "parcelle")
        expect_identical(analyse[["scope"]], "D001")
        expect_identical(analyse[["vintage"]], "2020-01-01")
        expect_identical(analyse[["extension"]], "rds")
        expect_identical(analyse[["name"]], "rpg_parcelle_D001_2020-01-01")
        
    }
)
