test_that("Test basename utilities",
    {
        archive = "toto"
        expect_success(
            expect_identical(basename_core(archive), "toto")
        )
        expect_success(
            expect_identical(basename_ext(archive), "")
        )
        archive = ".hidden.csv.gz"
        expect_success(
            expect_identical(basename_core(archive), ".hidden")
        )
        expect_success(
            expect_identical(basename_ext(archive), "csv.gz")
        )
        archive = ".hidden_csv.gz"
        expect_success(
            expect_identical(basename_core(archive), ".hidden_csv")
        )
        expect_success(
            expect_identical(basename_ext(archive), "gz")
        )
        archive = ".bash_aliases"
        expect_success(
            expect_identical(basename_core(archive), ".bash_aliases")
        )
        expect_success(
            expect_identical(basename_ext(archive), "")
        )
        archive = "toto.csv"
        expect_success(
            expect_identical(basename_core(archive), "toto")
        )
        expect_success(
            expect_identical(basename_ext(archive), "csv")
        )
        archive = "path/toto.csv"
        expect_success(
            expect_identical(basename_core(archive), "toto")
        )
        expect_success(
            expect_identical(basename_ext(archive), "csv")
        )
        archive = "path/toto.csv.gz"
        expect_success(
            expect_identical(basename_core(archive), "toto")
        )
        expect_success(
            expect_identical(basename_ext(archive), "csv.gz")
        )   
    }
)
