test_that("Test select_scope",
    {
        dataset = data.frame(
            id = (1:5),
            adresse = letters[1:5],
            commune = c("09122", "36980", "37865", "34172", "34172")
        )

        scope = c("09122", "34172")
        test = expect_silent(select_scope(dataset, scope))
        expect_identical(colnames(dataset), colnames(test))
        expect_identical(nrow(test), sum(dataset[["commune"]] %in% scope))

        scope = "00001"
        test = expect_silent(select_scope(dataset, scope))
        expect_identical(colnames(dataset), colnames(test))
        expect_identical(nrow(test), sum(dataset[["commune"]] %in% scope))
    
        scope = c("09122", "34172")
        scope_num = as.integer(scope)
        test = expect_silent(select_scope(dataset, scope_num))
        expect_identical(colnames(dataset), colnames(test))
        # expect_identical(nrow(test), sum(dataset[["commune"]] %in% scope))
    }
)