test_that("Test update_state",
    {
        obs = data.frame(
            ban_id = c("1", "1", "2", "3", "3", "3", "4", "4"),
            ban_version = c(
                "2020-01-01", "2023-08-29", "2020-01-01", "2023-08-29",
                "2023-08-29", "2023-08-29", "2023-08-29", "2023-08-29"),
            date = c(
                "2020-02-02", "2023-09-01", "2020-02-02", "2023-09-01",
                "2023-09-02", "2023-09-03", "2023-10-01", "2023-09-01"),
            survey_state = c(
                "valid", "valid", "valid", "valid",
                "valid", "error", "valid", "valid"),
            n_protection = c(1, 1, 1, 0, 0, 0, 1, 1),
            keep = c(FALSE, TRUE, FALSE, FALSE, TRUE, FALSE, TRUE, FALSE)
        )
        obs["state"] = ifelse(obs[["n_protection"]] > 0, "with", "none")
        ban = data.frame(id = 1:10)

        result = merge(
            ban,
            obs[
                obs[["keep"]],
                c("ban_id", "date", "n_protection", "survey_state", "state")
            ],
            by.x = "id",
            by.y = "ban_id",
            all.x = TRUE)
        names(result)[1] = "ban_id"
        result[["state"]][is.na(result[["state"]])] = "unobserved"

        test = expect_warning(update_state(obs, ban))
        expect_identical(result, test)
    }
)